<div class="card">
    <div class="card-header">{{'employee.actionForApplication' | translate}}
        <a class="float-end" (click)="activeModal.close()"><i class="bi bi-x-lg"></i></a>
    </div>

    <div class="card-body">

        <div class="mb-2">
            <button type="button" class="btn btn-outline-secondary" [class.active]="!isExecuterCollapsed"
                (click)="isExecuterCollapsed = !isExecuterCollapsed" *ngIf="permission?.AssignEmployee">
                {{'employee.appointExecutor' | translate}}
            </button>
            <button type="button" class="btn btn-outline-secondary ms-2" [class.active]="isExecuterCollapsed"
                (click)="isExecuterCollapsed = !isExecuterCollapsed" *ngIf="permission?.SendApplication">
                {{'employee.directApplication' | translate}}
            </button>
        </div>

        <div #executer="ngbCollapse" [(ngbCollapse)]="isExecuterCollapsed" *ngIf="permission?.AssignEmployee">
            <div class="card">
                <div class="card-body">
                    <div class="col-4">
                        <label>{{'employee.chooseEmploy' | translate}}</label>
                        <select class="form-select" (change)="onSelectExecutor($event)">
                            <option value="null">{{'employee.takeEmploy' | translate}}</option>
                            <option [value]="exec.login" *ngFor="let exec of employeesList">{{getFullName(exec)}}
                            </option>
                        </select>
                    </div>
                    <div class="mt-5">
                        <button class="btn btn-dark" (click)="sendSelectedExecutor()" [disabled]="employeesList.length === 0">{{'employee.appoint' | translate}}</button>
                    </div>
                </div>
            </div>
        </div>

        <div #applications="ngbCollapse" [(ngbCollapse)]="!isExecuterCollapsed" *ngIf="permission?.SendApplication">
            <div class="card">
                <div class="card-body">
                    <form [formGroup]="form" (ngSubmit)="applicationAccess()">
                        <div class="d-flex justify-content-between flex-wrap">
                            <div class="form-check me-2" *ngFor="let list of receiverList">
                                <div>
                                    <input type="radio" class="form-check-input" name="sendTo"
                                        (change)="sendTo($event, list.id)">
                                    <label class="form-check-label">{{list.name}}</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-floating mt-3">
                            <textarea class="form-control" id="floatingTextarea" style="height: 100px"
                                formControlName="comment"></textarea>
                            <label for="floatingTextarea">{{'employee.yourComment' | translate}}</label>
                        </div>
                        <div class="mt-5">
                            <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'employee.direct' | translate}}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>